org.eclipse.gef.fx.nodes

## Class PolylineInterpolator

- java.lang.Object
- - org.eclipse.gef.fx.nodes.AbstractInterpolator
  - - org.eclipse.gef.fx.nodes.PolylineInterpolator

All Implemented Interfaces:
  IConnectionInterpolator

    public class PolylineInterpolator
    extends AbstractInterpolator

The `PolylineInterpolator` constructs a `Polyline` through the given `Connection`'s points.

### Constructor Summary

Constructors
Constructor and Description
`PolylineInterpolator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ICurve` `computeCurve(Connection connection)` Computes an `ICurve` geometry from the `Connection`'s points, which is used to update the `curve node`.

### Methods inherited from class org.eclipse.gef.fx.nodes.AbstractInterpolator

`arrangeDecoration, clipAtDecoration, interpolate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PolylineInterpolator

    public PolylineInterpolator()

### Method Detail

#### computeCurve

    protected ICurve computeCurve(Connection connection)

Description copied from class: `AbstractInterpolator`
Computes an `ICurve` geometry from the `Connection`'s points, which is used to update the `curve node`.

Specified by:
  `computeCurve` in class `AbstractInterpolator`
Parameters:
  `connection` - The `Connection`, for which to compute a new `ICurve` geometry.
Returns:
  An `ICurve` that represents the to be rendered geometry.